org.jboss.netty.handler.ipfilter

## Interface IpFilteringHandler

All Known Implementing Classes:
  IpFilteringHandlerImpl, IpFilterRuleHandler, OneIpFilterHandler

    public interface IpFilteringHandler

The Interface IpFilteringHandler. A Filter of IP.
Users can add an `IpFilterListener` to add specific actions in case a connection is allowed or refused.

### Method Summary

Methods
`void` `removeIpFilterListener()` Remove the filter listener.
`void` `setIpFilterListener(IpFilterListener listener)` Sets the filter listener.

### Method Detail

#### setIpFilterListener

    void setIpFilterListener(IpFilterListener listener)

Sets the filter listener.

Parameters:
  `listener` - the new ip filter listener

#### removeIpFilterListener

    void removeIpFilterListener()

Remove the filter listener.